/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function ($, Drupal) {
  var buildRedirectModal = function buildRedirectModal(modalSettings) {
    var dialog = Drupal.dialog("<div>" + modalSettings.modalMessage + "</div>", {
      title: modalSettings.modalTitle,
      dialogClass: "cf-ip-redirect-dialog",
      resizable: false,
      buttons: [{
        text: modalSettings.modalCta,
        class: "button button--primary",
        click: function click() {
          window.location.href = modalSettings.destinationUrl;
        }
      }],
      close: function close(event) {
        jQuery(event.target).addClass("visually-hidden");
      }
    });

    return dialog;
  };

  Drupal.behaviors.cfIpCountryModal = {
    attach: function attach(context, settings) {
      var init = $(window, context).once("cf_ipcountry_modal_init");
      if (init.length) {
        var $request = $.ajax({
          url: "/api/v1/cf-ipcountry-modal/get-country",
          type: "GET"
        });

        $request.done(function (response) {
          var countryCode = response.country_code;

          if (!countryCode) {
            return;
          }

          var match = Object.keys(settings.cfIpCountryRedirect).filter(function (key) {
            return key === countryCode;
          })[0];

          if (!match) {
            return;
          }

          var redirectDialog = buildRedirectModal(settings.cfIpCountryRedirect[match]);
          redirectDialog.show();
        });

        $request.fail(function (jqXHR, textStatus, errorThrown) {
          if (window.console !== undefined) {
            throw new Error("Ajax request failed. Status: " + textStatus + ". Description: " + errorThrown);
          }
        });
      }
    }
  };
})(jQuery, Drupal);